Debian Bug report logs - #532097
RFH: cups -- Common UNIX Printing System

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Pitt <mpitt@debian.org>

Date: Sat, 6 Jun 2009 12:06:01 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#532097; Package wnpp. (Sat, 06 Jun 2009 12:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Sat, 06 Jun 2009 12:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Debian CUPS <pkg-cups-devel@lists.alioth.debian.org>, Till Kamppeter <till.kamppeter@gmail.com>
Subject: RFA: cups -- Common UNIX Printing System
Date: Sat, 6 Jun 2009 14:05:10 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

Hello all,

cups is in severe need for a dedicated Debian maintainer. I became an
uploader some years ago for more efficient integration of
improvements/fixes done in Ubuntu, but now I have been the only
uploader for 1.5 years. I cleaned up the patch mess, brought the
package and test suite into a well working state, follow up on RC
bugs, and prepare most security updates; Till Kamppeter is developing
the PDF filters.

However, that's not enough. Neither Till nor I have a Debian unstable
as primary workstation where we could test printing in a real Debian
system, and neither of us has time to look at the Debian bug reports.

Right now, cups has hundreds of bug reports, many of them years old;
many of them were probably fixed long ago, many aren't problems in
cups but some driver (gutenprint, foomatic, ghostscript).

To get the Debian cups bugs into some useful state again, someone who
knows the Linux printing system very well needs to sit down and write
a comprehensive "how to debug printing problems" document: in
particular, how to identify in which package the problem is, which
debug information to collect, and common workarounds/tests which help
the reporter's immediate problem and are useful for diagnosis.

Then we can declare a "bug bancrupcy" and mass-close all bugs which
were filed before the Lenny release, with an honest apology and the
request to re-file bugs again with following the debugging document.
For all newer bugs we can just followup with the debugging document.

On the plus side, cups' upstream Mike Sweet is very responsive. It
takes some dispassionateness to argue with him about patches and
rejected bug reports, but he responds very fast. So the genuine
problems remaining in the Debian BTS should be spoonfed to upstream,
after making sure that it isn't a Debian specific or driver problem.

I'm happy to continue basic package maintenance as pointed out above,
do sponsoring, and mentor interested newcomers. You don't need to be a
DD, but you should have a printer or two, use Debian unstable
regularly, and willing to learn about the printing architecture (cups
spooler, drivers, etc.).

Many thanks in advance,

Martin Pitt

The package description is:
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and
 general replacement for lpd and the like.  It supports the Internet
 Printing Protocol (IPP), and has its own filtering driver model for
 handling various document types.
 .
 This package provides the CUPS scheduler/daemon and related files.
 .
 The terms "Common UNIX Printing System" and "CUPS" are trademarks of
 Easy Software Products (www.easysw.com), and refer to the original
 source packages from which these packages are made.

-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `ITA: cups -- Common UNIX Printing System' from `RFA: cups -- Common UNIX Printing System'. Request was from LIU Qi <liuqi82@gmail.com> to control@bugs.debian.org. (Sun, 07 Jun 2009 14:06:03 GMT) Full text and rfc822 format available.

Owner recorded as liuqi82@gmail.com. Request was from LIU Qi <liuqi82@gmail.com> to control@bugs.debian.org. (Sun, 07 Jun 2009 14:06:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFA: cups -- Common UNIX Printing System' from 'ITA: cups -- Common UNIX Printing System' Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Tue, 25 Aug 2009 15:27:15 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by liuqi82@gmail.com. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sat, 29 Aug 2009 03:12:41 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#532097; Package wnpp. (Mon, 14 Jun 2010 10:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 14 Jun 2010 10:57:06 GMT) Full text and rfc822 format available.

Message #18 received at 532097@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: Martin Pitt <mpitt@debian.org>, 532097@bugs.debian.org
Subject: Re: Bug#532097: RFA: cups -- Common UNIX Printing System
Date: Mon, 14 Jun 2010 12:47:31 +0200
[Message part 1 (text/plain, inline)]
Le samedi 06 juin 2009, Martin Pitt a écrit :
> Hello all,

Hello Martin.

> cups is in severe need for a dedicated Debian maintainer. I became an
> uploader some years ago for more efficient integration of
> improvements/fixes done in Ubuntu, but now I have been the only
> uploader for 1.5 years. I cleaned up the patch mess, brought the
> package and test suite into a well working state, follow up on RC
> bugs, and prepare most security updates; Till Kamppeter is developing
> the PDF filters.

Thank you for your work, Martin, this is a very important piece of
software for a desktop system (or a print server, of course). And to me,
CUPS is a really good system that many years of advance compared to the
poorly-designed legacy system Microsoft provides as a competitor.

> However, that's not enough. Neither Till nor I have a Debian unstable
> as primary workstation where we could test printing in a real Debian
> system, and neither of us has time to look at the Debian bug reports.

I do have a Debian unstable desktop computer and I could try and do some
bug triaging.

> Right now, cups has hundreds of bug reports, many of them years old;
> many of them were probably fixed long ago, many aren't problems in
> cups but some driver (gutenprint, foomatic, ghostscript).
> 
> To get the Debian cups bugs into some useful state again, someone who
> knows the Linux printing system very well needs to sit down and write
> a comprehensive "how to debug printing problems" document: in
> particular, how to identify in which package the problem is, which
> debug information to collect, and common workarounds/tests which help
> the reporter's immediate problem and are useful for diagnosis.

I think I have a good overview of CUPS, from a user point of view:
filters, backends, configuration… However, though I may be able to tell
with package is concerned by a given problem, it would be difficult for
me to give a general recipe to do it. As I said, I could try and do some
bug triaging, and that may help me to draw such a recipe and document
it.

> I'm happy to continue basic package maintenance as pointed out above,
> do sponsoring, and mentor interested newcomers. You don't need to be a
> DD, but you should have a printer or two, use Debian unstable
> regularly, and willing to learn about the printing architecture (cups
> spooler, drivers, etc.).

I do. Though I really do not want to print hundreds of test pages, and
would rather print to files, using… a custom backend (unless a file
backend already exists, but I never saw one, but maybe such a – very
simple, but very useful for debugging – backend may be worth packaging).
:-)

-- 
Tanguy Ortolo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#532097; Package wnpp. (Mon, 14 Jun 2010 11:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 14 Jun 2010 11:18:03 GMT) Full text and rfc822 format available.

Message #23 received at 532097@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Cc: 532097@bugs.debian.org
Subject: Re: Bug#532097: RFA: cups -- Common UNIX Printing System
Date: Mon, 14 Jun 2010 13:15:19 +0200
[Message part 1 (text/plain, inline)]
Hello Tanguy,

Tanguy Ortolo [2010-06-14 12:47 +0200]:
> I do. Though I really do not want to print hundreds of test pages, and
> would rather print to files, using… a custom backend (unless a file
> backend already exists, but I never saw one, but maybe such a – very
> simple, but very useful for debugging – backend may be worth packaging).

That does exist. Set "FileDevice Yes" in cupsd.conf (see man
cupsd.conf), and as a device name use something like
file:///tmp/cups.out; I haven't tried that for a while, but back then
it worked fine. For postscript output you can of course use the result
right away. For raster data there's a nice viewer out there [1], but
it's not packaged. But I guess for most problems ("doesn't print",
etc.) you just need to look whether it produces some output in the
first place, rather than just crashing. Asking verbose cups error_log
files from reporters is very helpful with that (cupsctl
--debug-logging), as it will show you the precise command lines of all
filters. These can then be called manually and checked their
individual results.

Thanks for your interest!

Martin

[1] http://www.easysw.com/~mike/rasterview/index.html


-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#532097; Package wnpp. (Thu, 01 Jul 2010 13:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to pkg-cups-devel@lists.alioth.debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 01 Jul 2010 13:42:12 GMT) Full text and rfc822 format available.

Message #28 received at 532097@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <didier@raboud.com>
To: 532097@bugs.debian.org
Cc: Martin Pitt <mpitt@debian.org>, Debian CUPS <pkg-cups-devel@lists.alioth.debian.org>, Till Kamppeter <till.kamppeter@gmail.com>, ghostscript@packages.debian.org, Chris Lawrence <lawrencc@debian.org>
Subject: RFC: Forming a Printing Task Force (was RFA: cups -- Common UNIX Printing System)
Date: Thu, 1 Jul 2010 15:40:51 +0200
[Message part 1 (text/plain, inline)]
Hi all, 

I'm answering to RFA bug #532097, CC'ing to various printing-related packages 
and to pkg-cups-devel@l.a.d.o. Please followup to the pkg-cups-devel list (if 
that's OKay).

=== Preamble ===

I just joined Chris Lawrence, along with Till Kamppeter in maintaining some 
foomatic-* packages. Then I noticed the big² pile of work in ghostscript, cups 
and many surrounding packages. 

I don't intend to fingerpoint specific people or teams, but the situation is 
worrying : some unresolved security issues, many RC bugs, tons of bugs, an 
increasing diff with Ubuntu, etc.

My perception of the problem is that the forces are currently divided between 
Ubuntu and Debian. It seems that Ubuntu is better than Debian in keeping up with 
patches, etc. In my humble opinion, it is now time to get those patches back to 
Debian and merge our forces towards a better printing experience for both Debian 
and Ubuntu users.

=== Proposal ===

I propose to form a "Printing Task Force" that would join the Debian and Ubuntu 
forces around common repositories: there is almost never interest in keeping a 
diff between Debian and Ubuntu. This group would handle the following packages:

	cups
	ghostscript
	foomatic-*
	? other ones ?

Would there be some interest in such a group ? What other packages would suit ?

Thanks in advance, cheers,

OdyX

N.B. I intentionally kept out of the discussion the "implementation details" 
such as $VCS choice, mailing-list or group name, etc.

-- 
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
didier@raboud.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#532097; Package wnpp. (Thu, 01 Jul 2010 14:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to q-funk@iki.fi:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 01 Jul 2010 14:30:06 GMT) Full text and rfc822 format available.

Message #33 received at 532097@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: pkg-cups-devel@lists.alioth.debian.org
Cc: 532097@bugs.debian.org, Chris Lawrence <lawrencc@debian.org>, Till Kamppeter <till.kamppeter@gmail.com>, ghostscript@packages.debian.org
Subject: Re: [Pkg-cups-devel] RFC: Forming a Printing Task Force (was RFA: cups -- Common UNIX Printing System)
Date: Thu, 1 Jul 2010 17:28:55 +0300
On Thu, Jul 1, 2010 at 4:40 PM, Didier 'OdyX' Raboud <didier@raboud.com> wrote:
> I don't intend to fingerpoint specific people or teams, but the situation is
> worrying : some unresolved security issues, many RC bugs, tons of bugs, an
> increasing diff with Ubuntu, etc.
>
> I propose to form a "Printing Task Force" that would join the Debian and Ubuntu
> forces around common repositories: there is almost never interest in keeping a
> diff between Debian and Ubuntu.

At least in the case of CUPS and CUPS-PDF, maintenance is already
common between both distributions. IIRC,  foomatic is also maintained
by the same people in both distributions. AFAIK only Ghostscript is
handled separately.

What's actually needed is someone with the patience to triage all
outstanding bugs, especially those that are misclassified and assigned
to the wrong package - which especially seems to be the case at Ubuntu
- and to point the maintainer towards overlooked patches, etc.

Dealing with printer-specific bugs is a particularly daunting task and
one that few of us have had the patience to deal with. Likewise,
dealing with distribution-specific bugs caused by security patches and
system hardening mechanisms is rather tedious.

Getting help for these items would already solve most of the current
mess we are in.

Martin-Éric




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#532097; Package wnpp. (Fri, 02 Jul 2010 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Till Kamppeter <till.kamppeter@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 02 Jul 2010 17:09:03 GMT) Full text and rfc822 format available.

Message #38 received at 532097@bugs.debian.org (full text, mbox):

From: Till Kamppeter <till.kamppeter@gmail.com>
To: pkg-cups-devel@lists.alioth.debian.org
Cc: Didier 'OdyX' Raboud <didier@raboud.com>, 532097@bugs.debian.org, Martin Pitt <mpitt@debian.org>, ghostscript@packages.debian.org, Chris Lawrence <lawrencc@debian.org>, Mark Purcell <msp@debian.org>
Subject: Re: RFC: Forming a Printing Task Force (was RFA: cups -- Common UNIX Printing System)
Date: Fri, 02 Jul 2010 19:06:03 +0200
I think this is a good idea.

We are currently in sync with the following packages:

- cups (pitti + me)
- foomatic-db (OdyX + me)
- foomatic-db-engine (OdyX + me)
- hplip (Mark Purcell + me)

Other printing-related packages are

- ghostscript
- foomatic-filters
- gutenprint
- foo2zjs
- splix
- pnm2ppa
- min12xxw
- m2300w
- pxljr
- cjet
- system-config-printer
- python-cups

Note that I have taken this list from Ubuntu. It is possible that Debian 
has even more packages, especially also for non-CUPS workflows (these 
are not supported by Ubuntu).

foomatic-filters will be synced between Ubuntu and Debian soon, too 
(OdyX + me).

   Till


On 07/01/2010 03:40 PM, Didier 'OdyX' Raboud wrote:
> Hi all,
>
> I'm answering to RFA bug #532097, CC'ing to various printing-related packages
> and to pkg-cups-devel@l.a.d.o. Please followup to the pkg-cups-devel list (if
> that's OKay).
>
> === Preamble ===
>
> I just joined Chris Lawrence, along with Till Kamppeter in maintaining some
> foomatic-* packages. Then I noticed the big² pile of work in ghostscript, cups
> and many surrounding packages.
>
> I don't intend to fingerpoint specific people or teams, but the situation is
> worrying : some unresolved security issues, many RC bugs, tons of bugs, an
> increasing diff with Ubuntu, etc.
>
> My perception of the problem is that the forces are currently divided between
> Ubuntu and Debian. It seems that Ubuntu is better than Debian in keeping up with
> patches, etc. In my humble opinion, it is now time to get those patches back to
> Debian and merge our forces towards a better printing experience for both Debian
> and Ubuntu users.
>
> === Proposal ===
>
> I propose to form a "Printing Task Force" that would join the Debian and Ubuntu
> forces around common repositories: there is almost never interest in keeping a
> diff between Debian and Ubuntu. This group would handle the following packages:
>
> 	cups
> 	ghostscript
> 	foomatic-*
> 	? other ones ?
>
> Would there be some interest in such a group ? What other packages would suit ?
>
> Thanks in advance, cheers,
>
> OdyX
>
> N.B. I intentionally kept out of the discussion the "implementation details"
> such as $VCS choice, mailing-list or group name, etc.
>





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#532097; Package wnpp. (Sat, 09 Mar 2013 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 09 Mar 2013 12:21:03 GMT) Full text and rfc822 format available.

Message #43 received at 532097@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <odyx@debian.org>
To: 532097@bugs.debian.org
Subject: #532097: cups RFA -> RFH
Date: Sat, 9 Mar 2013 13:19:32 +0100
[Message part 1 (text/plain, inline)]
Control: retitle -1 RFH: cups --Common UNIX Printing System

Hi,

With my entry in the Maintainers' field of cups, the handling of both the 
Ubuntu sync and the 1.6.1 release pushed to experimental and some help in bugs 
triaging (hi Brian!), I think I can reasonably claim that cups is now properly 
maintained in Debian.

But, as the task is still quite big (and involves various other packages in 
the printing stack), I'd still welcome some more help from people wanting to 
make printing a working feature in Debian; I'm therefore hereby making this a 
"Request for Help".

Thanks for your attention,

Didier Raboud, aka OdyX
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'RFH: cups --Common UNIX Printing System' from 'RFA: cups -- Common UNIX Printing System' Request was from "Didier 'OdyX' Raboud" <odyx@debian.org> to 532097-submit@bugs.debian.org. (Sat, 09 Mar 2013 12:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#532097; Package wnpp. (Sat, 09 Mar 2013 13:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 09 Mar 2013 13:21:06 GMT) Full text and rfc822 format available.

Message #50 received at 532097@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: Didier Raboud <odyx@debian.org>
Cc: 532097@bugs.debian.org
Subject: Re: #532097: cups RFA -> RFH
Date: Sat, 9 Mar 2013 14:17:27 +0100
[Message part 1 (text/plain, inline)]
Hi

I will step on it. Please coule web have a debian todo list and how to ?

Personnally i will like to have cups drop root

Bastien
Le 9 mars 2013 13:42, "Didier 'OdyX' Raboud" <odyx@debian.org> a écrit :

> Control: retitle -1 RFH: cups --Common UNIX Printing System
>
> Hi,
>
> With my entry in the Maintainers' field of cups, the handling of both the
> Ubuntu sync and the 1.6.1 release pushed to experimental and some help in
> bugs
> triaging (hi Brian!), I think I can reasonably claim that cups is now
> properly
> maintained in Debian.
>
> But, as the task is still quite big (and involves various other packages in
> the printing stack), I'd still welcome some more help from people wanting
> to
> make printing a working feature in Debian; I'm therefore hereby making
> this a
> "Request for Help".
>
> Thanks for your attention,
>
> Didier Raboud, aka OdyX
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#532097; Package wnpp. (Sat, 09 Mar 2013 16:06:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 09 Mar 2013 16:06:18 GMT) Full text and rfc822 format available.

Message #55 received at 532097@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <odyx@debian.org>
To: Bastien ROUCARIES <roucaries.bastien@gmail.com>
Cc: 532097@bugs.debian.org, debian-printing@lists.debian.org
Subject: Re: #532097: cups RFA -> RFH
Date: Sat, 9 Mar 2013 17:05:17 +0100
[Message part 1 (text/plain, inline)]
Hi Bastien,

Le samedi, 9 mars 2013 14.17:27, Bastien ROUCARIES a écrit :
> I will step on it. Please coule web have a debian todo list and how to ?

Great, thanks for the offer. All that we have as far as I'm concerned are:

a)	http://wiki.debian.org/Teams/Printing (mostly outdated)

I have just updated it rapidly, to match the reality a little more. It would 
need more love and cleaning, feel free to give a hand there.

and

b)	http://bugs.debian.org/src:cups
	http://bugs.debian.org/debian-printing@lists.debian.org

of course. Unfortunately we have many unanswered bugs laying around: verifying 
if they are still valid under more up-to-date Debian+cups configurations would 
be very useful.

> Personnally i will like to have cups drop root

Although I find it unfortunate, I think that both Martin Pitt's [0] and 
upstream's [1] explanations make it sufficiently clear that engaging on such a 
road is a promise for _lot_ of work. Furthermore, that would be work not 
supported by upstream in any foreseeable future ot by any other distribution 
out there.

[0] http://bugs.debian.org/692791#86
[1] http://bugs.debian.org/692791#61

So unless other distributions join that long-term effort of maintaining a 
whole load of patches against cups, I would oppose such an effort.

But, I very much welcome any (and yours, of course) help in coping with the 
bugreports (past and new) and the next cups releases. I very much welcome 
bugreports with patches attached.

Cheers,

OdyX
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'RFH: cups -- Common UNIX Printing System' from 'RFH: cups --Common UNIX Printing System' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sat, 09 Mar 2013 22:36:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#532097; Package wnpp. (Thu, 14 Mar 2013 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 14 Mar 2013 09:48:03 GMT) Full text and rfc822 format available.

Message #62 received at 532097@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: "Didier 'OdyX' Raboud" <odyx@debian.org>
Cc: 532097@bugs.debian.org, debian-printing@lists.debian.org
Subject: Re: #532097: cups RFA -> RFH
Date: Thu, 14 Mar 2013 10:44:33 +0100
On Sat, Mar 9, 2013 at 5:05 PM, Didier 'OdyX' Raboud <odyx@debian.org> wrote:
> Hi Bastien,
>
> Le samedi, 9 mars 2013 14.17:27, Bastien ROUCARIES a écrit :
>> I will step on it. Please coule web have a debian todo list and how to ?
>
> Great, thanks for the offer. All that we have as far as I'm concerned are:
>
> a)      http://wiki.debian.org/Teams/Printing (mostly outdated)
>
> I have just updated it rapidly, to match the reality a little more. It would
> need more love and cleaning, feel free to give a hand there.
>
> and
>
> b)      http://bugs.debian.org/src:cups
>         http://bugs.debian.org/debian-printing@lists.debian.org
>
> of course. Unfortunately we have many unanswered bugs laying around: verifying
> if they are still valid under more up-to-date Debian+cups configurations would
> be very useful.
>
>> Personnally i will like to have cups drop root
>
> Although I find it unfortunate, I think that both Martin Pitt's [0] and
> upstream's [1] explanations make it sufficiently clear that engaging on such a
> road is a promise for _lot_ of work. Furthermore, that would be work not
> supported by upstream in any foreseeable future ot by any other distribution
> out there.
>
> [0] http://bugs.debian.org/692791#86
> [1] http://bugs.debian.org/692791#61
>
> So unless other distributions join that long-term effort of maintaining a
> whole load of patches against cups, I would oppose such an effort.

Ok I will try to add more distro on the way.

could we add user-tags for bug report (in order to better triagging) ?

I will add some wiki page for debugging printing problem.

> But, I very much welcome any (and yours, of course) help in coping with the
> bugreports (past and new) and the next cups releases. I very much welcome
> bugreports with patches attached.
>
> Cheers,
>
> OdyX



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#532097; Package wnpp. (Thu, 13 Feb 2014 03:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cameron Norman <camerontnorman@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 13 Feb 2014 03:09:05 GMT) Full text and rfc822 format available.

Message #67 received at 532097@bugs.debian.org (full text, mbox):

From: Cameron Norman <camerontnorman@gmail.com>
To: 532097@bugs.debian.org
Subject: Still need help?
Date: Thu, 13 Feb 2014 02:56:44 -0008
[Message part 1 (text/plain, inline)]
Hello, I am trying to get involved in Debian and happened across this 
RFH with the "how-can-i-help" package. The first message, in 2009, 
asked for somebody who is using Debian unstable and is willing to 
test/comb through cups's bug list and sort them out. I was wondering if 
help is still needed in packaging cups, and if so, what specific help 
is needed.

Cheers,
--
Cameron Norman
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:48:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.